<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Tipo_Solicitante;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class TSolicitanteController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function ReadTipoSolicitanteActivo()
    {

        $TipoSolicitante = Tipo_Solicitante::orderBy('tipo', 'asc')
            ->orderBy('nombre', 'asc')
            ->where('estado', 1)
            ->get();
        return (new Response($TipoSolicitante, 200));

    }

    public function ReadTipoSolicitante()
    {

        $TipoSolicitante = Tipo_Solicitante::orderBy('nombre', 'asc')->get();
        return (new Response($TipoSolicitante, 200));

    }

    public function CreateTipoSolicitante(Request $request)
    {

        $datos = json_decode($request->datos);

        $Tipo_Solicitante = new Tipo_Solicitante();
        $Tipo_Solicitante->nombre = $datos[0]->nombre;
        $Tipo_Solicitante->tipo = $datos[0]->tipo;
        $Tipo_Solicitante->estado = $datos[0]->estado;

        $Tipo_Solicitante->save();

        return (new Response($Tipo_Solicitante, 200));

    }

    public function UpdateTipoSolicitante(Request $request)
    {

        $datos = json_decode($request->datos);

        $Tipo_Solicitante = Tipo_Solicitante::find($datos[0]->id);
        $Tipo_Solicitante->nombre = $datos[0]->nombre;
        $Tipo_Solicitante->tipo = $datos[0]->tipo;
        $Tipo_Solicitante->estado = $datos[0]->estado;

        $Tipo_Solicitante->save();

        return (new Response($Tipo_Solicitante, 200));

    }

}
